########################################################################
# DOTFILES WITH GIT
########################################################################

alias config='git --git-dir=${HOME}/.cfg/ --work-tree=${HOME}'

dotfiles_autoupdate() {
    config add -u && \
    config commit -m "Update $(date +"%Y-%m-%d %H:%M") \
        $(uname -s)/$(uname -m)-$(hostname -s)" && config push
}

dotfiles_init() {
    git --no-replace-objects clone --bare --depth 1 \
        _gitea@git.uugrn.org:sdk/dotfiles.git $HOME/.cfg;
    config config --local status.showUntrackedFiles no;
    config checkout -f
}
